
Redmine - Feature #19182

Patch to the Redmine Mail Handler for specifying a custom CA bundle

2015-02-25 09:40 - Stephane Lapie

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.1.0   

Resolution: Fixed   

Description

When trying to use the rdm-mailhandler.rb script mentioned in 

http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails, I hit a slight problem with internal certificates and the fact

that the Ruby Net::HTTP class specifies a non-existing bundle file that has to be overrided.

I added my own code to override the bundle from the Net::HTTP instance, via a command line option.

The included patch adds the option parsing, and passing to Net::HTTP.

Related issues:

Related to Redmine - Patch #19242: Patch to the Redmine Mail Handler for over... New

Associated revisions

Revision 14289 - 2015-05-30 10:56 - Jean-Philippe Lang

Mail Handler: option for specifying a custom CA bundle (#19182).

Patch by Stephane Lapie.

History

#1 - 2015-03-25 18:01 - Toshi MARUYAMA

- Target version set to 3.1.0

#2 - 2015-03-31 08:38 - Toshi MARUYAMA

- Related to Patch #19242: Patch to the Redmine Mail Handler for overriding the sender, and adding custom header/footers to imported e-mails added

#3 - 2015-05-30 10:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

Files

rdm-mailhandler-cacert.patch 2.09 KB 2015-02-25 Stephane Lapie
